################################################################################
# This is a sample requirements file for the MagiCBuild configuration and
# build system.
################################################################################

################################################################################
# Run checks provided by the framework
################################################################################

# Check for Qt in the system
#check_for_qt

# Check for JPEG library in the system
#check_for_libjpeg

################################################################################
# Custom configuration checks
################################################################################
function check_for_python () {
    echo -n "checking for python... "

    # Find out where Python binary is located
    PYTHONPATH=`which python`

    # Handle situation where it is not found
    if [ ! $PYTHONPATH ] ; then
	echo "not found"
	#exit 1
    fi

    # Display rest of the ok check message
    echo "$PYTHONPATH"
}

# Actually run the check
check_for_python

################################################################################
# Write the custom configuration
################################################################################
function my_custom_config () {
    echo "Writing custom config..."
    echo "export PYTHONPATH=$PYTHONPATH" >> $MKCONFIG
}

# Inform the framework about this customization callback
WRITE_CUSTOM_CONFIG=my_custom_config
